﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace uTorrentRemote.TokenDispatchers
{
    public class WriteToLogTokenDispatcher : ITokenDispatcher
    {
        private ILog log;
        
        public WriteToLogTokenDispatcher(ILog log)
        {
            this.log = log;
        }

        public bool TryToken(Token token)
        {
            log.Write(token.ToString());
            return true;
        }
    }
}
